## Name

gfs_acl_from_text — create a Gfarm ACL from text

## Synopsis

    #include <gfarm/gfarm.h>

`gfarm_error_t gfs_acl_from_text(` | str, |
| acl_p`)`; |

`const char *str`;
`gfarm_acl_t *acl_p`;

## INPUT ARGUMENTS

`str`

  An ACL text string (long text form or short text form).

`acl_p`

  A pointer of the ACL structure type.

## RETURN VALUES

`GFARM_ERR_NO_ERROR`

  The function terminated successfully.

`GFARM_ERR_NO_MEMORY`

  Insufficient memory was available.

`GFARM_ERR_INVALID_ARGUMENT`

  The argument str cannot be translated into an ACL.

Others

  An error except the above occurred. The reason is shown by gfarm_error_string(3).

## SEE ALSO

gfs_acl_free(3), gfs_acl_from_text_with_default(3), gfs_acl_to_any_text(3), gfs_acl_to_text(3)